<?php
require_once $_SERVER['DOCUMENT_ROOT']."/includes/start.php";

if(isset($_SESSION['auth']) and $_SESSION['auth']==1){

echo $_up; echo '<center><b>ТОП 10</b><br></center>';


echo '<b>Пользователи</b>: <a href="?">посты</a> | <a href="?show=points">поинты</a> | <a href="?show=credits">кредиты</a> | <a href="?show=rating">рейтинг</a><br>';

echo '<b>Кланы</b>: <a href="?show=clans_rating">рейтинг</a> | <a href="?show=clans_credits">кредиты</a><br><br>';


if(eregi("[^a-zA-Z0-9\_-]",$_GET['show'])){

header ("Location: /top10.php?"); exit;

}

if($_GET['show']==""){

$r=mysql_query( "select id, login, posts from users order by posts desc limit 10;" );
$kol=mysql_num_rows($r);

if($kol==0){

echo'Рейтинг пуст...<br>'; exit;

}

while($a=mysql_fetch_array($r)){

++$i;
echo '<div class="list" style="border-bottom:1px solid white;">';

if($i==1){

echo '<font color="red">'.$i.'</font>.';

}else{

echo ''.$i.'.';

}

echo ' <a href="/u'.$a['id'].'"><b>'.$a['login'].'</b></a><br>
<small><b>Постов: <font color="blue">'.$a['posts'].'</font></b></small></div>';

}

}elseif($_GET['show']=="points"){

$r=mysql_query( "select id, login, points from users order by points desc limit 10;" );
$kol=mysql_num_rows($r);

if($kol==0){

echo'Рейтинг пуст...<br>'; exit;

}

while($a=mysql_fetch_array($r)){

++$i;

echo '<div class="list" style="border-bottom:1px solid white;">';

if($i==1){

echo '<font color="red">'.$i.'</font>.';

}else{

echo ''.$i.'.';

}

echo ' <a href="/u'.$a['id'].'"><b>'.$a['login'].'</b></a><br>
<small><b>Поинтов: <font color="blue">'.$a['points'].'</font></b></small></div>';

}

}elseif($_GET['show']=="credits"){

$r=mysql_query( "select id, login, credits from users order by credits desc limit 10;" );
$kol=mysql_num_rows($r);

if($kol==0){

echo'Рейтинг пуст...<br>'; exit;

}

while($a=mysql_fetch_array($r)){

++$i;
echo '<div class="list" style="border-bottom:1px solid white;">';

if($i==1){

echo '<font color="red">'.$i.'</font>.';

}else{

echo ''.$i.'.';

}

echo ' <a href="/u'.$a['id'].'"><b>'.$a['login'].'</b></a><br>
<small><b>Кредитов: <font color="blue">'.$a['credits'].'</font></b></small></div>';

}

}elseif($_GET['show']=="rating"){

$r=mysql_query( "select id, login, rating from users order by rating desc limit 10;" );
$kol=mysql_num_rows($r);

if($kol==0){

echo'Рейтинг пуст...<br>'; exit;

}

while($a=mysql_fetch_array($r)){

++$i;
echo '<div class="list" style="border-bottom:1px solid white;">';

if($i==1){

echo '<font color="red">'.$i.'</font>.';

}else{

echo ''.$i.'.';

}

echo ' <a href="/u'.$a['id'].'"><b>'.$a['login'].'</b></a><br>
<small><b>Рейтинг: <font color="blue">'.$a['rating'].'</font></b></small></div>';

}

}elseif($_GET['show']=="clans_credits"){

$r=mysql_query( "select id, name, credits from clans order by credits desc limit 10;" );
$kol=mysql_num_rows($r);

if($kol==0){

echo'Рейтинг пуст...<br>'; exit;

}

while($a=mysql_fetch_array($r)){

++$i;
echo '<div class="list" style="border-bottom:1px solid white;">';

if($i==1){

echo '<font color="red">'.$i.'</font>.';

}else{

echo ''.$i.'.';

}

echo ' <a href="/clans/?go=clan_view&cid='.$a['id'].'"><b>'.$a['name'].'</b></a><br>
<small><b>Счет клана: <font color="blue">'.$a['credits'].'</font></b></small></div>';

}


}elseif($_GET['show']=="clans_rating"){

$r=mysql_query( "select id, name, rating from clans order by rating desc limit 10;" );
$kol=mysql_num_rows($r);

if($kol==0){

echo'Рейтинг пуст...<br>'; exit;

}

while($a=mysql_fetch_array($r)){

++$i;
echo '<div class="list" style="border-bottom:1px solid white;">';

if($i==1){

echo '<font color="red">'.$i.'</font>.';

}else{

echo ''.$i.'.';

}

echo ' <a href="/clans/?go=clan_view&cid='.$a['id'].'"><b>'.$a['name'].'</b></a><br>
<small><b>Рейтинг клана: <font color="blue">'.$a['rating'].'</font></b></small></div>';

}


}

echo '<br><br>';

echo $_down;

}else{

header ("Location: /?"); exit;

}
?>